# WireGuard - VPN server
# Port: 51820/udp
# Modern, fast VPN tunnel

version: "3.5"

services:
  wgeasy:
    image: ghcr.io/wg-easy/wg-easy:latest
    network_mode: "bridge"
    container_name: wgeasy
    ports:
      - "51820:51820/udp"
      - "51821:51821"
    cap_add:
      - NET_ADMIN
      - SYS_MODULE
    sysctls:
      - net.ipv4.conf.all.src_valid_mark=1
      - net.ipv4.ip_forward=1
    volumes:
      - /volume1/docker/wg:/etc/wireguard
    environment:
      - WG_HOST=vishconcord.synology.me
      - HASH_PASSWORD="REDACTED_PASSWORD"
    restart: unless-stopped
